Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.commons.business.v1
Class OpenQuarterPeriodType

    java.lang.Object
      be.fgov.ehealth.rn.commons.business.v1.OpenQuarterPeriodType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class OpenQuarterPeriodType

extends Object
implements Serializable

Quarter period containing a quarter begin date and an optional quarter end date.

Java class for OpenQuarterPeriodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OpenQuarterPeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BeginQuarter" type="{urn:be:fgov:ehealth:rn:commons:business:v1}YearQuarterType"/>
             <element name="EndQuarter" type="{urn:be:fgov:ehealth:rn:commons:business:v1}YearQuarterType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OpenQuarterPeriodType()`

Method Summary
`String` | `getBeginQuarter()` Gets the value of the beginQuarter property.
`String` | `getEndQuarter()` Gets the value of the endQuarter property.
`void` | `setBeginQuarter(String value)` Sets the value of the beginQuarter property.
`void` | `setEndQuarter(String value)` Sets the value of the endQuarter property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenQuarterPeriodType

    public OpenQuarterPeriodType()

Method Detail

### getBeginQuarter

    public String getBeginQuarter()

  Gets the value of the beginQuarter property.

  Returns:
    possible object is `String`

### setBeginQuarter

    public void setBeginQuarter(String value)

  Sets the value of the beginQuarter property.

  Parameters:
    `value` - allowed object is `String`

### getEndQuarter

    public String getEndQuarter()

  Gets the value of the endQuarter property.

  Returns:
    possible object is `String`

### setEndQuarter

    public void setEndQuarter(String value)

  Sets the value of the endQuarter property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.